Subject: Re: Multi-line shell commands appear as one-liners in the history

From: Sebastien Vauban <[email-masked]>
Date: Mon, 25 Aug 2014 20:45:52 +0200

Hello,

>> ls \
>> *.html
>>
>> Recalling the previous command will just show "*.html", not "ls
>>\\n*.html".
>
> Right, currently shell-mode has no idea that these were two lines of
> the same command.  The semantics of a terminating backslash completely
> eludes it.
>
>> Is there a solution to this?
>
> A patch for shell.el would probably do it, assuming it's the right
> patch ;-)

I've just read notes about "Comint Patch":

  ╭────
  │ If you enter a multi-line SQL statement in an SQLi buffer, you can
  │ retrieve it as a multi-line command from the MinibufferHistory. Not so
  │ when you exit Emacs and restart it at a later date: As you exit SQLi
  │ mode the command history is written to a file; when you enter SQLi mode
  │ again the history is loaded one command per line. If you entered
  │ multi-line commands, each line of those commands will end up as one
  │ command in the input history of your new session.
  │ 
  │ This patch will be in Emacs 21.
  ╰────

See http://www.emacswiki.org/emacs-es/ComintPatched

Aren't we talking of this bug?  If yes, why isn't it yet in Emacs, then?

Best regards,
  Seb

-- 
Sebastien Vauban